# NavMeshBuilder (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.util.pathfinding.navmesh
Class NavMeshBuilder

    java.lang.Object
      org.newdawn.slick.util.pathfinding.navmesh.NavMeshBuilder

All Implemented Interfaces:
  PathFindingContext

    public class NavMeshBuilder

extends java.lang.Object
implements PathFindingContext

The builder responsible for converting a tile based map into a navigation mesh

Author:
  kevin

Constructor Summary
`NavMeshBuilder()`

Method Summary
`NavMesh` `build(TileBasedMap map)` Build a navigation mesh based on a tile map
`NavMesh` `build(TileBasedMap map, boolean tileBased)` Build a navigation mesh based on a tile map
`boolean` `clear(TileBasedMap map, Space space)` Check if a particular space is clear of blockages
`Mover` `getMover()` Path finding context implementation
`int` `getSearchDistance()` Path finding context implementation
`int` `getSourceX()` Path finding context implementation
`int` `getSourceY()` Path finding context implementation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavMeshBuilder

    public NavMeshBuilder()

Method Detail

### build

    public NavMesh build(TileBasedMap map)

  Build a navigation mesh based on a tile map

  Parameters:
    `map` - The map to build the navigation mesh from
  Returns:
    The newly created navigation mesh

### build

    public NavMesh build(TileBasedMap map,
                         boolean tileBased)

  Build a navigation mesh based on a tile map

  Parameters:
    `map` - The map to build the navigation mesh from
    `tileBased` - True if we'll use the tiles for the mesh initially rather than quad spacing
  Returns:
    The newly created navigation mesh

### clear

    public boolean clear(TileBasedMap map,
                         Space space)

  Check if a particular space is clear of blockages

  Parameters:
    `map` - The map the spaces are being built from
    `space` - The space to check
  Returns:
    True if there are no blockages in the space

### getMover

    public Mover getMover()

  Path finding context implementation

  Specified by:
    `getMover` in interface `PathFindingContext`
  Returns:
    The current mover

### getSearchDistance

    public int getSearchDistance()

  Path finding context implementation

  Specified by:
    `getSearchDistance` in interface `PathFindingContext`
  Returns:
    The current search distance

### getSourceX

    public int getSourceX()

  Path finding context implementation

  Specified by:
    `getSourceX` in interface `PathFindingContext`
  Returns:
    The current x location

### getSourceY

    public int getSourceY()

  Path finding context implementation

  Specified by:
    `getSourceY` in interface `PathFindingContext`
  Returns:
    The current y location

Copyright © 2006 New Dawn Software. All Rights Reserved.